---
stage: Systems
group: Distribution
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/engineering/ux/technical-writing/#assignments
---

# Troubleshooting a GitLab installation **(FREE SELF)**

This page documents a collection of resources to help you troubleshoot a GitLab
installation.

## Troubleshooting guides

- [SSL](ssl.md)
- [Geo](../geo/replication/troubleshooting.md)
- [Elasticsearch](elasticsearch.md)
- [Sidekiq](sidekiq.md)
- [GitLab Rails console cheat sheet](gitlab_rails_cheat_sheet.md)
- [Group SAML and SCIM troubleshooting](group_saml_scim.md) **(PREMIUM SAAS)**
- [Kubernetes cheat sheet](https://docs.gitlab.com/charts/troubleshooting/kubernetes_cheat_sheet.html)
- [Linux cheat sheet](linux_cheat_sheet.md)
- [Parsing GitLab logs with `jq`](log_parsing.md)
- [Diagnostics tools](diagnostics_tools.md)
- [Tracing requests with correlation ID](tracing_correlation_id.md)

Some feature documentation pages also have a troubleshooting section at the end
that you can check for feature-specific help.

If you need a testing environment to troubleshoot, see the
[apps for a testing environment](test_environments.md).
