# frozen_string_literal: true

require 'fast_spec_helper'
require_relative '../../../../rubocop/cop/database/establish_connection'

RSpec.describe RuboCop::Cop::Database::EstablishConnection do
  subject(:cop) { described_class.new }

  it 'flags the use of ActiveRecord::Base.establish_connection' do
    expect_offense(<<~CODE)
      ActiveRecord::Base.establish_connection
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Don't establish new database [...]
    CODE
  end

  it 'flags the use of ActiveRecord::Base.establish_connection with arguments' do
    expect_offense(<<~CODE)
      ActiveRecord::Base.establish_connection(:foo)
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Don't establish new database [...]
    CODE
  end

  it 'flags the use of SomeModel.establish_connection' do
    expect_offense(<<~CODE)
      SomeModel.establish_connection
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Don't establish new database [...]
    CODE
  end
end
